package com.nokia.tsl_data.config;

import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import com.nokia.common.spring.SpringContextHolder;

@Configuration
public class SpringContextHolderConfig {
    
    @Bean
    public SpringContextHolder springContextHolder(ApplicationContext applicationContext) {
        SpringContextHolder springContextHolder = new SpringContextHolder();
        springContextHolder.setApplicationContext(applicationContext);
        return springContextHolder;
    }
}
